# refresh token sync: Office 365 on linux / any platform

Read <https://git.recolic.net/root/ms-scripts/-/blob/master/docs/mscorp-browser-os-restriction-workaround_/README.md> before going through this document! 

This project is a patched SimpleModifyHeader extension, which automatically sync refresh token from windows-chicken to linux devbox. 

## Usage

**You must use your own pastebin service instead of mine. DO NOT make me angry!**

1. Put pastebin.php on your website, and update all links to `recolic.net` in code with yours. (`grep -F recolic.net -r .`)
2. Install `uploader` extension in windows-chrome (or edge), and install `downloader` extension in your devbox. 
3. `Start` the extension in windows-chrome. On your devbox, use `pull!https://recolic.net/your/pastebin.php` as your "Header Field Value". 


